# This is an example Jinja2 template for a worker. Each worker needs it's own config file at
# /etc/matrix-synapse/workers/{{ item.worker_name }}.yaml
# At the moment the workers need the following resources:
# client_api_requests, event_sending_requests, room_pagination_requests, sync_requests, initial_sync_requests: client
# federation_reader: federation
# media_repository: media
# the other worker's don't need backends (and therefore the worker_listeners section)
worker_app: synapse.app.frontend_proxy
worker_name: frontend_proxy1

# The replication listener on the main synapse process.
worker_replication_host: 127.0.0.1
worker_replication_http_port: 9093

worker_listeners:
 - type: http
   bind_addresses: ['127.0.0.1']
   port: 8105
   resources:
     - names:
       - client
       - federation

worker_log_config: /etc/matrix-synapse/log.yaml
worker_main_http_uri: http://127.0.0.1:8008
